Bug 1099412 - [RFE] Edit ISO/Export domain connection details
Summary: [RFE] Edit ISO/Export domain connection details
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ovirt-3.6.0-rc
: 3.6.0
Assignee: Amit Aviram
QA Contact: Elad
URL:
Whiteboard:
Depends On: 1218551
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-20 09:09 UTC by Petr Beňas
Modified: 2016-03-09 20:46 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
This release adds the ability to edit the connection details of ISO and Export storage domains.
Clone Of:
Environment:
Last Closed: 2016-03-09 20:46:04 UTC
oVirt Team: Storage
sherold: Triaged+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:0376 normal SHIPPED_LIVE Red Hat Enterprise Virtualization Manager 3.6.0 2016-03-10 01:20:52 UTC
oVirt gerrit 36481 master MERGED restapi: Enabling connection details viewing for ISO & Export domains. Never
oVirt gerrit 37336 master MERGED webadmin: Enabling ISO & Export path editing. Never

Comment 1 Amit Aviram 2014-11-25 09:52:41 UTC
In addition to the description of the problem above, the essential enhancement in this feature is to make the api to support the connection editing of ISO and Export domains.

Comment 3 Amit Aviram 2015-01-27 14:49:46 UTC
A GUI patch in webadmin still needs to be handled.

Comment 4 Allon Mureinik 2015-02-01 19:16:16 UTC
Amit, please add the doctext.

Comment 5 Elad 2015-05-05 12:22:28 UTC
Tested manage storage connection for:
- Export domain - using NFS, POSIXFS and Gluster domains - Passed
- ISO domain - using NFS and POSIXFS domains - Passed

I currently cannot test local ISO domain due to https://bugzilla.redhat.com/show_bug.cgi?id=1218551


Used ovirt-3.6.0-1

Comment 6 Elad 2015-05-05 12:54:48 UTC
Moving back to ON_QA due to the fact that it wasn't tested using local ISO.

For the export and ISO cases that passed, here is the Polarion executions:

https://polarion.engineering.redhat.com/polarion/#/project/RHEVM3/workitem?id=RHEVM3-10651

https://polarion.engineering.redhat.com/polarion/#/project/RHEVM3/workitem?id=RHEVM3-10650

Comment 7 Elad 2015-08-03 10:08:48 UTC
As 1218551 is now fixed, I tested over ISO local domain. 
Storage connection modification of a local ISO domain works as expected, I followed the steps described in https://polarion.engineering.redhat.com/polarion/redirect/project/RHEVM3/workitem?id=RHEVM3-10650.

Together with comment #5, moving this RFE to VERIFIED as all the storage types were tested and passed.

Comment 10 errata-xmlrpc 2016-03-09 20:46:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-0376.html


Note You need to log in before you can comment on or make changes to this bug.